org.apache.cassandra.io.sstable.metadata

## Class CompactionMetadata.CompactionMetadataSerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.CompactionMetadata.CompactionMetadataSerializer

All Implemented Interfaces:
  IMetadataComponentSerializer<CompactionMetadata>

Enclosing class:
  CompactionMetadata

    public static class CompactionMetadata.CompactionMetadataSerializer
    extends java.lang.Object
    implements IMetadataComponentSerializer<CompactionMetadata>

### Constructor Summary

Constructors
Constructor and Description
`CompactionMetadataSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompactionMetadata` `deserialize(Version version, java.io.DataInput in)` Deserialize metadata component from given input.
`void` `serialize(CompactionMetadata component, Version version, DataOutputPlus out)` Serialize metadata component to given output.
`int` `serializedSize(CompactionMetadata component, Version version)` Calculate and return serialized size.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactionMetadataSerializer

    public CompactionMetadataSerializer()

### Method Detail

#### serializedSize

    public int serializedSize(CompactionMetadata component,
                              Version version)
                       throws java.io.IOException

Description copied from interface: `IMetadataComponentSerializer`
Calculate and return serialized size.

Specified by:
  `serializedSize` in interface `IMetadataComponentSerializer<CompactionMetadata>`
Parameters:
  `component` - MetadataComponent to calculate serialized size
Returns:
  serialized size of this component
Throws:
  `java.io.IOException`

#### serialize

    public void serialize(CompactionMetadata component,
                          Version version,
                          DataOutputPlus out)
                   throws java.io.IOException

Description copied from interface: `IMetadataComponentSerializer`
Serialize metadata component to given output.

Specified by:
  `serialize` in interface `IMetadataComponentSerializer<CompactionMetadata>`
Parameters:
  `component` - MetadataComponent to serialize
  `out` - serialize destination
Throws:
  `java.io.IOException`

#### deserialize

    public CompactionMetadata deserialize(Version version,
                                          java.io.DataInput in)
                                   throws java.io.IOException

Description copied from interface: `IMetadataComponentSerializer`
Deserialize metadata component from given input.

Specified by:
  `deserialize` in interface `IMetadataComponentSerializer<CompactionMetadata>`
Parameters:
  `version` - serialize version
  `in` - deserialize source
Returns:
  Deserialized component
Throws:
  `java.io.IOException`